

stopp1=316;
kk=316/Ts;
figure(5);
hold off;
subplot(3,1,1);
plot(ts:ts:stopp1,Ureal(1:1:kk));
hold on;
plot(ts:ts:stopp1,crossE1(1:1:kk),':');
plot(ts:ts:stopp1,crossE2(1:1:kk),'--');
plot(ts:ts:stopp1,zeros(kk,1),'r');
title('Cross track error');
legend('\Delta(t) from MPC','Constant \Delta=6','Constant \Delta=3');
xlabel('t [s]');
ylabel('y(t) [m]');
xlim([0 kk*ts]);
ylim([-1.5 3.5]);
subplot(3,1,2);
plot(ts:ts:stopp1,Deltak(1,1:1:kk));
title('\Delta(t) from MPC')
xlabel('t [s]');
ylabel('\Delta(t) [m]');
xlim([0 kk*ts]);
subplot(3,1,3);
plot(ts:ts:stopp1,psis(1:1:kk));
hold on;
plot(ts:ts:stopp1,rreal(1:1:kk),':');
plot(ts:ts:stopp1,zeros(kk,1),'r');
title('Heading vs Desired Heading');
legend('\psi(t)','\psi_d(t)');
xlabel('t [s]');
ylabel('\Psi(t) [rad]');
xlim([0 kk*ts]);


kkk=k;
stopp2=stopp;
figure(6);
hold off;
subplot(3,1,1);
plot(ts*(kk+1):ts:stopp2,Ureal(kk+1:1:kkk));
hold on;
plot(ts*(kk+1):ts:stopp2,crossE1(kk+1:1:kkk),':');
plot(ts*(kk+1):ts:stopp2,crossE2(kk+1:1:kkk),'--');
plot(ts*(kk+1):ts:stopp2,zeros(kkk-kk,1),'r');
title('Cross track error');
legend('\Delta(t) from MPC','Constant \Delta=6','Constant \Delta=3');
xlabel('t [s]');
ylabel('y(t) [m]');
xlim([ts*(kk+1) kkk*ts]);
ylim([-1.5 3.5]);
subplot(3,1,2);
plot(ts*(kk+1):ts:stopp2,Deltak(1,kk+1:1:kkk));
title('\Delta(t) from MPC')
xlabel('t [s]');
ylabel('\Delta(t) [m]');
xlim([ts*(kk+1) kkk*ts]);
ylim([0 40]);
subplot(3,1,3);
plot(ts*(kk+1):ts:stopp2,psis(kk+1:1:kkk));
hold on;
plot(ts*(kk+1):ts:stopp2,rreal(kk+1:1:kkk),':');
plot(ts*(kk+1):ts:stopp2,zeros(kkk-kk,1),'r');
title('Heading vs Desired Heading');
legend('\psi(t)','\psi_d(t)');
xlabel('t [s]');
ylabel('\Psi(t) [rad]');
xlim([ts*(kk+1) kkk*ts]);
