%%%%%%  form constraints  %%%%%%
function [Fc,f1,Aeq,beq,lb,ub,Ix]=constraints2(Ts,uk,u1min,Hu,hack)
I1=[0 1 0];
I2=[0 0 1];

I3=[-1 0 0];
T1=[-1/Ts 0 0];
T2=[0 -1/Ts 0];


Fc=zeros(Hu-1,3*Hu);
for i=1:1:Hu-1,
    Fc(i:1:Hu-1,(i-1)*3+1:1:(i-1)*3+3)=ones(Hu-i,1)*I3;

    Ix((i-1)*3+1:1:(i-1)*3+3,1:1:3)=[1 0 0;
                                     0 1 0;
                                     0 0 1];
    if i<Hu,
         I((i-1)*2+1:1:(i-1)*2+2,1:1:2)=[1 0;0 1];
    end
end
Ix((Hu-1)*3+1:1:(Hu-1)*3+3,1:1:3)=[1 0 0;
                                     0 1 0;
                                     0 0 1];
f1=zeros(Hu-1,1);
f1(1:1:Hu-1,1)=uk(1)-u1min-hack;
Aeq=zeros(2*Hu+3,3*Hu);
Aeq(2*Hu-1,1:1:3)=[1 0 0];
Aeq(2*Hu,1:1:3)=[0 1 0];
for i=1:2:2*Hu-2,
    %Aeq(i,(i-1)*1.5+1:1:(i-1)*1.5+3)=-I3;
    Aeq(i,(i-1)*1.5+4:1:(i-1)*1.5+6)=T1;
    Aeq(i+1,(i-1)*1.5+4:1:(i-1)*1.5+6)=T2;

    for j=1:1:(i-1)/2+1,
        Aeq(i,(j-1)*3+1:1:(j-1)*3+3)=I1;
        Aeq(i+1,(j-1)*3+1:1:(j-1)*3+3)=I2;
    end

end
Aeq(2*Hu+1:1:2*Hu+3,3*Hu-2:1:3*Hu)=[1 0 0;0 1 0;0 0 1];
beq=I*[-uk(2);-uk(3)];
beq(2*Hu-1,1)=Ts*uk(2);
beq(2*Hu,1)=Ts*uk(3);
beq(2*Hu+1:1:2*Hu+3,1)=0;
lb=Ix*[-30;-30;-20];%Br settes dynamisc!!!!!
ub=Ix*[30;30;20];
% if uk(1)>=120,
%     ub(1:1:length(ub))=0.01;
% end