function f=linerizeBynumjac(t,x)
global globU;

u1=globU(1);
u2=globU(2);
u3=globU(3);


k0=10;
k1=sqrt(4*k0);

uc=0.2;

%%%%%  Model  %%%%%
M=[25.8 0 0;0 33.8 1.0115;0 1.0115 2.76];
D=[0.9257 0 0;0 2.8909 -0.2601;0 -0.2601 0.5];
Nd=1;
Yd=-0.2;

eps=-(M(3,3)*Yd-M(2,3)*Nd)/(M(2,2)*Nd-M(2,3)*Yd);

Gamma=M(2,2)*M(3,3)-M(2,3)^2;

Theta=(1/Gamma)*(-2*M(2,3)*M(2,2)*eps+M(2,2)^2*eps^2+M(2,3)^2-M(2,2)*M(1,1)*eps^2-M(3,3)*M(1,1)+2*M(2,3)*M(1,1)*eps);
Mm=(1/Gamma)*(M(2,3)*D(3,3)-eps*M(2,2)*D(3,3)-M(3,3)*D(2,3)-M(2,3)*D(3,2)*eps+eps*M(2,3)*D(2,3)+M(2,2)*D(3,2)*eps^2+M(3,3)*D(2,2)*eps-M(2,3)*D(2,2)*eps^2);
Xi=(1/Gamma)*(M(2,2)*M(1,1)*eps-M(2,2)^2*eps-M(2,3)*M(1,1)+M(2,2)*M(2,3));
N=(1/Gamma)*(M(2,3)*D(2,2)*eps-M(2,2)*D(3,2)*eps-M(3,3)*D(2,2)+M(2,3)*D(3,2));

%%%%% end model %%%%%

denum=u1^2+x(2)^2;
a1=uc*sin(x(3))+x(5)*cos(x(3));%ysprikk
a3=(Theta*uc+Mm)*x(6)+(Xi*uc+N)*x(5);%vskprikk
a2=x(6)*cos(x(3))*uc-x(6)*sin(x(3))*x(5)+a3*cos(x(3));%ystrek dobbel prikk
a4=2*(u1*u2+x(2)*a1)*(u1*a1-x(2)*u2)/...
        denum^2+(x(2)*u3-u1*a2)/denum;%rdprikk
rd=(-u1*a1+x(2)*u2)/denum;%rd, r desired
z1=x(3)+atan2(x(2),u1);%error heading
z2=x(6)-rd;             %error heading rate

f(1)=uc*sin(x(3))+x(4)*cos(x(3));
f(2)=a1;
f(3)=x(6);
f(4)=a3-eps*(a4-k1*z2-k0*z1);
f(5)=a3;
f(6)=a4-k1*z2-k0*z1;
f=f';