%%%%% since the nominal response is calculated for constant input, u2 and
%%%%% u2 has to be zero!!!!
function Yfree=nominal2(xk,uk_1,hp,Ts,s,uc,Theta,M,N,Xi,k0,k1,eps,currk,current)


Hp=hp;
Yfree=zeros(Hp*6,1);
yk=xk(1);
ysk=xk(2);
psik=xk(3);
vk=xk(4);
vsk=xk(5);
rk=xk(6);
j=1;
l=1;
for i=s:s:(Hp)*Ts,%integrer med sm steg, sample ved Ts sett inn uk ved Ts
    
    if l==round(Ts/s)+1,
        l=1;
        j=j+3;
    end
    vskc=current*currk(2)*sin(currk(1)-psik);
    %%%% dynamics %%%%
    denum=uk_1(1)^2+ysk^2;
    a1=uc*sin(psik)+vsk*cos(psik);%ysprikk
    a3=(Theta*uc+M)*rk+(Xi*uc)*vsk+N*(vsk-vskc);%vskprikk
    a2=rk*cos(psik)*uc-rk*sin(psik)*vsk+a3*cos(psik);%ystrek dobbel prikk
    a4=2*(uk_1(1)*uk_1(2)+ysk*a1)*(uk_1(1)*a1-ysk*uk_1(2))/...
        denum^2+(ysk*uk_1(3)-uk_1(1)*a2)/denum;%rdprikk
    %rd=-a1*uk_1(1)/denum;%rd delta constant
    rd=(-uk_1(1)*a1+ysk*uk_1(2))/denum;%delta time varying
    z1=psik+atan2(ysk,uk_1(1));%avvik psi
    z2=rk-rd;%avvik r
    
    %%%% end dyn %%%%
    
    %%%% integrate %%%%
    vsk1=vsk+s*a3;
    rk1=rk+s*(a4-k1*z2-k0*z1);
    vk1=vk+s*(a3-eps*(a4-k1*z2-k0*z1));%dotv=dotvs-eps*dotr
    
    % according to fossen eta(k+1)=
    % eta(k)+s(R(eta(k))nu(k+1))
    yk1=yk+s*(uc*sin(psik)+vk1*cos(psik));
    ysk1=ysk+s*(uc*sin(psik)+vsk1*cos(psik));
    psik1=psik+s*rk1;
 
    %%%% end int %%%%
    
    %%% sample to form Xpred at Ts
    %%% evaluate the input vector at each time k=n*Ts
    if l==1,
        Yfree((j-1)*6/3+1:1:(j-1)*6/3+6,1)=[yk1; ysk1; psik1; vk1; vsk1; rk1];
    end
    l=l+1;
    %%%% step to time k+1 %%%%
    yk=yk1;
    ysk=ysk1;
    psik=psik1;
    vk=vk1;
    vsk=vsk1;
    rk=rk1;
    
    %%%% end step %%%%
end


%%%%%  end nominal  %%%%%
